<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:15 CEST 2007 -->
<TITLE>
Uses of Class model.chess.Field
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class model.chess.Field";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../model/chess/Field.html" title="class in model.chess"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?model/chess//class-useField.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Field.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>model.chess.Field</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#gui.chess"><B>gui.chess</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#model.chess"><B>model.chess</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#model.chess.trid"><B>model.chess.trid</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#util"><B>util</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="gui.chess"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A> in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A> that return <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]</CODE></FONT></TD>
<TD><CODE><B>BoardView.</B><B><A HREF="../../../gui/chess/BoardView.html#getGridFields()">getGridFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A> with parameters of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BoardView.</B><B><A HREF="../../../gui/chess/BoardView.html#setGridFields(model.chess.Field[][])">setGridFields</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]&nbsp;gridFields)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="model.chess"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A> in <A HREF="../../../model/chess/package-summary.html">model.chess</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../model/chess/package-summary.html">model.chess</A> declared as <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#field">field</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Field the Figure stands on.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/package-summary.html">model.chess</A> that return <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getField()">getField</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getFieldUnderMouseDrag()">getFieldUnderMouseDrag</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getGridFields()">getGridFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getLastFieldUnderMouse()">getLastFieldUnderMouse</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/package-summary.html">model.chess</A> that return types with arguments of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getAttackersList()">getAttackersList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getAttackList()">getAttackList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getBlockList()">getBlockList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getChainedThreadPaths()">getChainedThreadPaths</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getCheckPaths()">getCheckPaths</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getCheckThreadPaths()">getCheckThreadPaths</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getCoverList()">getCoverList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getFieldsByName()">getFieldsByName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getFieldsList()">getFieldsList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getGhostMoveList()">getGhostMoveList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#getMoveList()">getMoveList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/package-summary.html">model.chess</A> with parameters of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#highlightFieldsForSelectedField(model.chess.Field)">highlightFieldsForSelectedField</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check figure on selected field and highlight other fields to indicate
 range or coverage.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#setField(model.chess.Field)">setField</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets field where the figure stands and updates old and new fields' figure
 attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#setFieldShade(model.chess.Field, int)">setFieldShade</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
              int&nbsp;shade)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies a shade to all fields with the same name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#setFieldUnderMouseDrag(model.chess.Field)">setFieldUnderMouseDrag</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;fieldUnderMouseDrag)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Field.</B><B><A HREF="../../../model/chess/Field.html#setFigure(model.chess.Field, model.chess.Figure, boolean)">setFigure</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;fromField,
          <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;figure,
          boolean&nbsp;logTheMove)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the figure of this field with logging the move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#setGridField(int, int, model.chess.Field)">setGridField</A></B>(int&nbsp;x,
             int&nbsp;y,
             <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Places a Field on a screen grid position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#setLastFieldUnderMouse(model.chess.Field)">setLastFieldUnderMouse</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;lastFieldUnderMouse)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../model/chess/package-summary.html">model.chess</A> with type arguments of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#applyCheckCounterMeasures(java.util.ArrayList, java.util.ArrayList)">applyCheckCounterMeasures</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;counterCheckFields,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;coveredFields)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Keep only fields in move and attack list, that are in the counter check
 fields list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#applyCheckCounterMeasures(java.util.ArrayList, java.util.ArrayList)">applyCheckCounterMeasures</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;counterCheckFields,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;coveredFields)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Keep only fields in move and attack list, that are in the counter check
 fields list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#setGhostMoveList(java.util.ArrayList)">setGhostMoveList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Figure.</B><B><A HREF="../../../model/chess/Figure.html#setMoveList(java.util.ArrayList)">setMoveList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../model/chess/package-summary.html">model.chess</A> with parameters of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../model/chess/Figure.html#Figure(boolean, int, java.lang.String, model.chess.Field, model.chess.Board)">Figure</A></B>(boolean&nbsp;white,
       int&nbsp;type,
       <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;n,
       <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
       <A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A>&nbsp;b)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="model.chess.trid"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A> in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> declared as <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]</CODE></FONT></TD>
<TD><CODE><B>Pin.</B><B><A HREF="../../../model/chess/trid/Pin.html#fields">fields</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The attack board's fields.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> that return <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]</CODE></FONT></TD>
<TD><CODE><B>Pin.</B><B><A HREF="../../../model/chess/trid/Pin.html#getFields()">getFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B>Move.</B><B><A HREF="../../../model/chess/trid/Move.html#getSourceField()">getSourceField</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B>Move.</B><B><A HREF="../../../model/chess/trid/Move.html#getTargetField()">getTargetField</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> that return types with arguments of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#pathList(java.util.ArrayList, model.chess.Field)">pathList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;old,
         <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new path list and prepends the contents of old, if old is not
 null.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> with parameters of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#attack(model.chess.Figure, model.chess.Field, java.util.ArrayList, int)">attack</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
       <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
       <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
       int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets Figure's and Field's properties for possible attack move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkBishopRange(model.chess.Figure, model.chess.Field)">checkBishopRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for bishops.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkCastleRange(model.chess.Figure, model.chess.Field)">checkCastleRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for castles.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkKingQueenRange(model.chess.Figure, model.chess.Field, int, int)">checkKingQueenRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                    <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
                    int&nbsp;x,
                    int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for queens and
 kings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkKnightRange(model.chess.Figure, model.chess.Field)">checkKnightRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for knights.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkPawnRange(model.chess.Figure, model.chess.Field)">checkPawnRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
               <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for pawns.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>TriDBoard.</B><B><A HREF="../../../model/chess/trid/TriDBoard.html#highlightFieldsForSelectedField(model.chess.Field)">highlightFieldsForSelectedField</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#pathList(java.util.ArrayList, model.chess.Field)">pathList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;old,
         <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new path list and prepends the contents of old, if old is not
 null.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Pin.</B><B><A HREF="../../../model/chess/trid/Pin.html#setFields(model.chess.Field[][])">setFields</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]&nbsp;fields)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Pin.</B><B><A HREF="../../../model/chess/trid/Pin.html#setFields(model.chess.Field[][], boolean)">setFields</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]&nbsp;fields,
          boolean&nbsp;turn180)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>TriDBoard.</B><B><A HREF="../../../model/chess/trid/TriDBoard.html#setFieldShade(model.chess.Field, int)">setFieldShade</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
              int&nbsp;shade)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>TriDBoard.</B><B><A HREF="../../../model/chess/trid/TriDBoard.html#setFieldShade3D(model.chess.Field, int)">setFieldShade3D</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
                int&nbsp;shade)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies a shade to a field.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> with type arguments of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#attack(model.chess.Figure, model.chess.Field, java.util.ArrayList, int)">attack</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
       <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
       <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
       int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets Figure's and Field's properties for possible attack move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDiagonal(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)">checkDiagonal</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next diagonal field relative to current board position if it's free
 to move onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)">checkDownward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;minZ,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy,
              boolean&nbsp;mustNotAttack,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all downward fields in proper order from current board position on
 if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)">checkDownward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;minZ,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all downward fields in proper order from current board position on
 if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkJumps(model.chess.Figure, java.util.ArrayList, int[], int)">checkJumps</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
           int[]&nbsp;b,
           int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkStraight(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)">checkStraight</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy,
              boolean&nbsp;mustNotAttack,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next field relative to current board position if it's free to move
 onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpDownDiagonalStart(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)">checkUpDownDiagonalStart</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                         int&nbsp;limit,
                         int&nbsp;signX,
                         int&nbsp;signY,
                         int[]&nbsp;b,
                         boolean&nbsp;attackOnly,
                         int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpDownStraightStart(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)">checkUpDownStraightStart</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                         int&nbsp;limit,
                         int&nbsp;sign,
                         int[]&nbsp;b,
                         int&nbsp;xy,
                         boolean&nbsp;mustNotAttack,
                         int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)">checkUpward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
            int&nbsp;maxZ,
            int&nbsp;limit,
            int&nbsp;sign,
            int[]&nbsp;b,
            int&nbsp;xy,
            boolean&nbsp;mustNotAttack,
            int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all upward fields in proper order from current board position on if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)">checkUpward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
            int&nbsp;maxZ,
            int&nbsp;limit,
            int&nbsp;signX,
            int&nbsp;signY,
            int[]&nbsp;b,
            boolean&nbsp;attackOnly,
            int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all upward fields in proper order from current board position on if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#pathList(java.util.ArrayList, model.chess.Field)">pathList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;old,
         <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new path list and prepends the contents of old, if old is not
 null.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> with parameters of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../model/chess/trid/Move.html#Move(model.chess.Figure, model.chess.Field, model.chess.Figure)">Move</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;figure,
     <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
     <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;attacked)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a figure move object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../model/chess/trid/Pin.html#Pin(java.lang.String, gui.chess.trid.PinView, model.chess.Field[][], model.chess.Board)">Pin</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;n,
    <A HREF="../../../gui/chess/trid/PinView.html" title="class in gui.chess.trid">PinView</A>&nbsp;v,
    <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>[][]&nbsp;af,
    <A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A>&nbsp;b)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A> in <A HREF="../../../util/package-summary.html">util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../util/package-summary.html">util</A> that return types with arguments of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinExclude(java.util.ArrayList, java.util.ArrayList)">joinExclude</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinMatch(java.util.ArrayList, java.util.ArrayList)">joinMatch</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing only these elements that are part of
 list and add.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinUnique(java.util.ArrayList, java.util.ArrayList)">joinUnique</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing all elements that are part of list and
 add once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#removeDuplicates(java.util.ArrayList)">removeDuplicates</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing every element of list exactly once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#reverse(java.util.ArrayList)">reverse</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing the same elements as list in reverse
 order.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../util/package-summary.html">util</A> with type arguments of type <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinExclude(java.util.ArrayList, java.util.ArrayList)">joinExclude</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinExclude(java.util.ArrayList, java.util.ArrayList)">joinExclude</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinMatch(java.util.ArrayList, java.util.ArrayList)">joinMatch</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing only these elements that are part of
 list and add.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinMatch(java.util.ArrayList, java.util.ArrayList)">joinMatch</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing only these elements that are part of
 list and add.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinUnique(java.util.ArrayList, java.util.ArrayList)">joinUnique</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing all elements that are part of list and
 add once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#joinUnique(java.util.ArrayList, java.util.ArrayList)">joinUnique</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;add)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing all elements that are part of list and
 add once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#removeDuplicates(java.util.ArrayList)">removeDuplicates</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing every element of list exactly once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ArrayUtils.</B><B><A HREF="../../../util/ArrayUtils.html#reverse(java.util.ArrayList)">reverse</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new ArrayList containing the same elements as list in reverse
 order.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../model/chess/Field.html" title="class in model.chess"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?model/chess//class-useField.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Field.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
